;===================================
;Variable Usage

;var(4)   Burst Counter
;var(6)   Jump Counter
;var(11)  Last Recorded HitType
;var(12)  Last Known HitType
;var(13)  Random Effects
;var(14)  Ekoda Shiki Chain Preventer
;var(15)  Airdash counter


;====================================
;Airdash
[Statedef 60]
type = A
movetype = I
physics = N

[State 60, Varset]
type = varset
trigger1 = time = 0
var(15) = 1

[State 60, Velocity]
type = velset
trigger1 = time = 0
x = ifelse(command = "holdfwd",4,-4)
y = 0

[State 60, Sound]
type = Playsnd
trigger1 = time = 1
value = 900, 5

[State 60, Effects]
type = Explod
trigger1 = 1
anim = 11030
ID = 60
pos = floor(-1 * Vel X) * 8, -60
postype = p1
bindtime = 1
random = 0, 50
scale = .5,.5
sprpriority = -2
ownpal = 1
persistent = 2
pausemovetime = 65535

[State 60, Anim]
type = changeAnim
trigger1 = time = 0
trigger1 = vel x > 0
value = 100

[State 60, Anim]
type = changeAnim
trigger1 = time = 0
trigger1 = vel x < 0
value = 105

[State 60, Stop]
type = changestate
trigger1 = time = 15
value = 50


;=================================
;Superjump Start
[Statedef 65]
type    = S
physics = S
anim = 54
ctrl = 0
sprpriority = 1
facep2 = 1

[State 65, 1]
type = VarSet
trigger1 = Time = 0
sysvar(1) = 0

[State 65, 2]
type = VarSet
trigger1 = command = "holdfwd"
sysvar(1) = 1

[State 65, 3]
type = VarSet
trigger1 = command = "holdback"
sysvar(1) = -1

[State 65, 4]
type = VelSet
trigger1 = AnimTime = 0
x = ifelse(sysvar(1)=0, const(velocity.jump.neu.x), ifelse(sysvar(1)=1, const(velocity.jump.fwd.x), const(velocity.jump.back.x)))
y = const(velocity.jump.y)-3.5

[State 65, 5]
type = ChangeState
trigger1 = AnimTime = 0
value = 50
ctrl = 1


;=================================
;Burst
[Statedef 70]
type    = A
movetype = I
physics = N
anim = 20011
ctrl = 0
sprpriority = 4
facep2 = 1
velset = 0,0

[State 70, posadd]
type = posadd
trigger1 = !time
y = -1

[State 70, Superpause]
type = superpause
trigger1 = !time
anim = -1
time = 100
sound = -1
darken = 1
movetime = 100

[State 70, Effect]
type = playsnd
trigger1 = time = 20
value = 4001,2

[State 4030, Explod]
type = Explod
trigger1 = time = 20
anim = 20212
ID = 20212
postype = back
pos = 0,0
supermovetime = 100
bindtime = 9999
removetime = 80
shadow = -1
scale = const(size.xscale),const(size.yscale)
sprpriority = -3
removeongethit = 1
supermovetime = 65535
pausemovetime = 65535

[State 4030, Explod]
type = Explod
trigger1 = time = 20
anim = 20209
ID = 20209
pos = 0,-69
supermovetime = 100
bindtime = 9999
removetime = 80
shadow = -1
scale = const(size.xscale),const(size.yscale)
sprpriority = 5
removeongethit = 1
supermovetime = 65535
pausemovetime = 65535

[State 4010, FadeIn]
type = modifyexplod
trigger1 = time = [20,50]
trigger1 = numexplod(20212)
ID = 20212
trans = addalpha
alpha = ceil(((time-20)/30.0)*256),256
supermovetime = 65535
pausemovetime = 65535

[State 4010, FadeOut]
type = modifyexplod
trigger1 = time > 70
trigger1 = numexplod(20212)
ID = 20212
trans = addalpha
alpha = ceil(((100-time)/30.0)*256),256
supermovetime = 65535
pausemovetime = 65535

[State 4010, FadeWtf]
type = modifyexplod
trigger1 = time > 20
trigger1 = numexplod(20209)
ID = 20209
trans = addalpha
alpha = ceil(((100-time)/80.0)*256),256
scale = const(size.xscale)*(time-20)*.05,const(size.yscale)*(time-20)*.05
supermovetime = 65535
pausemovetime = 65535

[State 70, Talk]
type = playsnd
trigger1 = time = 20
value = 4000,5

[State 70, Fly!]
type = changeanim
trigger1 = time = 20
value = 20010
supermovetime = 65535
pausemovetime = 65535

[State 70, Fly!]
type = velset
trigger1 = time = 20
y = -1
supermovetime = 65535
pausemovetime = 65535

[State 70, Fly!]
type = velset
trigger1 = time = 60
y = 1
supermovetime = 65535
pausemovetime = 65535


[State 70, var]
type = varset
trigger1 = time = 100
v = 4
value = 1
supermovetime = 65535
pausemovetime = 65535

[State 70, End]
type = changestate
trigger1 = time = 100
value = 50
ctrl = 1
supermovetime = 65535
pausemovetime = 65535

;=================================
;Spark
[Statedef 11000]
type = A
movetype = I
physics = N
anim = 11010
sprpriority = 4

[State 11005, Anim]
type = changeanim
trigger1 = ishelper(11000)
value = 11000
persistent = 0
ignorehitpause = 1

[State 11005, Anim]
type = changeanim
trigger1 = ishelper(11001)
trigger2 = ishelper(11013)
value = 11001
persistent = 0
ignorehitpause = 1

[State 11005, Anim]
type = changeanim
trigger1 = ishelper(11002)
value = 11002
persistent = 0
ignorehitpause = 1

[State 11005, Anim]
type = changeanim
trigger1 = ishelper(11003)
value = 11011
persistent = 0
ignorehitpause = 1

[State 200, hitspark]
type = Helper
trigger1 = animtime = -6
stateno = 11004
name = "Effect"
ID = ifelse(anim<11010,11004,11012)
pos = 0,0
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 200, hitspark]
type = Helper
trigger1 = animtime = -6
stateno = 11004
name = "Effect"
ID = ifelse(anim<11010,11004,11012)
pos = 0,0
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 200, hitspark]
type = Helper
trigger1 = animtime = -6
stateno = 11004
name = "Effect"
ID = ifelse(anim<11010,11004,11012)
pos = 0,0
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 200, hitspark]
type = Helper
trigger1 = anim = [11000,11003]
stateno = 11005
name = "Small Spark"
ID = 11005
pos = 0,0
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 200, hitspark]
type = Helper
trigger1 = anim = [11000,11003]
stateno = 11005
name = "Small Spark"
ID = 11005
pos = 0,0
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 200, hitspark]
type = Helper
trigger1 = anim = [11000,11003]
stateno = 11005
name = "Medium Spark"
ID = 11006
pos = 0,0
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 200, hitspark]
type = Helper
trigger1 = anim = [11001,11003]
stateno = 11005
name = "Medium Spark"
ID = 11006
pos = 0,0
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 200, hitspark]
type = Helper
trigger1 = anim = [11001,11003]
stateno = 11005
name = "Heavy Spark"
ID = 11007
pos = 0,0
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 200, hitspark]
type = Helper
trigger1 = anim = [11002,11003]
stateno = 11005
name = "Heavy Spark"
ID = 11007
pos = 0,0
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 200, hitspark]
type = Helper
trigger1 = anim = [11002,11003]
stateno = 11005
name = "Heavy Spark"
ID = 11007
pos = 0,0
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 200, guardspark]
type = Helper
trigger1 = ishelper(11012)
trigger2 = ishelper(11011)
trigger3 = ishelper(11010)
trigger4 = ishelper(11013)
stateno = 11005
name = "Small Guard Spark"
ID = 11013
pos = 0,0
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 200, guardspark]
type = Helper
trigger1 = ishelper(11012)
trigger2 = ishelper(11011)
trigger3 = ishelper(11010)
trigger4 = ishelper(11013)
stateno = 11005
name = "Small Guard Spark"
ID = 11013
pos = 0,0
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 200, guardspark]
type = Helper
trigger1 = ishelper(11012)
trigger2 = ishelper(11011)
trigger3 = ishelper(11013)
stateno = 11005
name = "Small Guard Spark"
ID = 11013
pos = 0,0
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 200, guardspark]
type = Helper
trigger1 = ishelper(11012)
trigger2 = ishelper(11011)
trigger3 = ishelper(11013)
stateno = 11005
name = "Small Guard Spark"
ID = 11013
pos = 0,0
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 200, guardspark]
type = Helper
trigger1 = ishelper(11012)
stateno = 11005
name = "Small Guard Spark"
ID = 11013
pos = 0,0
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 200, guardspark]
type = Helper
trigger1 = ishelper(11012)
stateno = 11005
name = "Small Guard Spark"
ID = 11013
pos = 0,0
ownpal = 1
ignorehitpause = 1
pausemovetime = 999
persistent = 0

[State 11000, End]
type = destroyself
trigger1 = animtime = 0

[Statedef 11005]
type = A
movetype = I
physics = N
sprpriority = 5

[State 11005, Anim]
type = changeanim
trigger1 = ishelper(11007)
value = 11007
persistent = 0
ignorehitpause = 1

[State 11005, Anim]
type = changeanim
trigger1 = ishelper(11006)
value = 11006
persistent = 0
ignorehitpause = 1

[State 11005, Anim]
type = changeanim
trigger1 = ishelper(11005)
value = 11005
persistent = 0
ignorehitpause = 1

[State 11005, Anim]
type = changeanim
trigger1 = ishelper(11013)
value = 11013
persistent = 0
ignorehitpause = 1

[State 11005]
type = varset
trigger1 = 1
fv = 1
value = random%360
persistent = 0
ignorehitpause = 1

[State 11005]
type = varset
trigger1 = 1
fv = 2
value = (random%6/2.0 + 3) * 3.0
persistent = 0
ignorehitpause = 1

[State 11005]
type = AngleSet
trigger1 = 1
value = fvar(1)
ignorehitpause = 1

[State 11005]
type = AngleDraw
trigger1 = 1
ignorehitpause = 1

;sin(0)*hypotenuse = opposite
;cos(0)*hypotenuse = adjacent

[State 11005]
type = posadd
trigger1 = 1
x = cos((fvar(1)+90.0)*pi/180.0) * fvar(2)
y = -1 * sin((fvar(1)+90.0)*pi/180.0) * fvar(2)
persistent = 0
ignorehitpause = 1

[State 11005]
type = velset
trigger1 = 1
x = cos((fvar(1)+90.0)*pi/180.0) * fvar(2)
y = -1 * sin((fvar(1)+90.0)*pi/180.0) * fvar(2)
persistent = 0
ignorehitpause = 1

[State 11005]
type = trans
trigger1 = 1
trans = addalpha
alpha = 200,255
ignorehitpause = 1

[State 11005, End]
type = destroyself
trigger1 = animtime = 0
ignorehitpause = 1

[Statedef 11004]
type = A
movetype = I
physics = N
sprpriority = 5

[State 11004]
type = changeanim
trigger1 = ishelper(11004)
value = 11004
ignorehitpause=1
persistent = 0

[State 11004]
type = changeanim
trigger1 = ishelper(11012)
value = 11012
ignorehitpause=1
persistent = 0

[State 11005]
type = trans
trigger1 = 1
trans = addalpha
alpha = 200,255
ignorehitpause = 1

[State 11005]
type = varset
trigger1 = 1
fv = 1
value = random%360
persistent = 0
ignorehitpause = 1

[State 11005]
type = varset
trigger1 = 1
v = 1
value = random%3 + 1
persistent = 0
ignorehitpause = 1

[State 11005]
type = AngleSet
trigger1 = 1
value = fvar(1)
ignorehitpause = 1

[State 11005]
type = AngleDraw
trigger1 = 1
ignorehitpause = 1

;sin(0)*hypotenuse = opposite
;cos(0)*hypotenuse = adjacent

[State 11005]
type = posadd
trigger1 = 1
x = cos((fvar(1)+90.0)*pi/180.0) * var(1)
y = -1 * sin((fvar(1)+90.0)*pi/180.0) * var(1)
persistent = 0
ignorehitpause = 1

[State 11005]
type = velset
trigger1 = 1
x = cos((fvar(1)+90.0)*pi/180.0) * var(1)
y = -1 * sin((fvar(1)+90.0)*pi/180.0) * var(1)
persistent = 0
ignorehitpause = 1

[State 11005, End]
type = destroyself
trigger1 = animtime = 0
ignorehitpause = 1


;Hyper BG Helper
[Statedef 14000]
type = A
movetype = I
physics = N
sprpriority = 0

[State 14000, Dark]
type = assertspecial
trigger1 = 1
flag = noFG
flag2 = timerfreeze
flag3 = invisible

[State 14000, Invincible]
type = nothitby
trigger1 = 1
value = ,AA,AT,AP

[State 14000, Unnoticed]
type = playerpush
trigger1 = 1
value = 0

[State 14000, Screenbound]
type = screenbound
trigger1 = 1
value = 0
movecamera = 0,0

[State 14000]
type = explod
trigger1 = 1
ID = 14007
anim = 14007
pos = -320,-40
scale = 3,.5
sprpriority = -8
removetime = -1
persistent = 0
ownpal = 1
supermovetime = 9999
pausemovetime = 9999

[State 14000]
type = explod
trigger1 = 1
ID = 14008
anim = 14008
postype = left
pos = 0,0
scale = .5,.5
;vel = 8,0
bindtime = 9999
sprpriority = -9
removetime = -1
persistent = 0
ownpal = 1
supermovetime = 9999
pausemovetime = 9999

[State 14000]
type = explod
trigger1 = 1
ID = 14008
anim = 14008
postype = left
pos = 256,0
scale = .5,.5
;vel = 8,0
bindtime = 9999
sprpriority = -9
removetime = -1
persistent = 0
ownpal = 1
supermovetime = 9999
pausemovetime = 9999

[State 14000]
type = explod
trigger1 = 1
ID = 14008
anim = 14008
postype = left
pos = -256,0
scale = .5,.5
;vel = 8,0
bindtime = 9999
sprpriority = -9
removetime = -1
persistent = 0
ownpal = 1
supermovetime = 9999
pausemovetime = 9999

[State 14000]
type = explod
trigger1 = 1
ID = 14008
anim = 14008
postype = left
pos = 512,0
scale = .5,.5
;vel = 8,0
bindtime = 9999
sprpriority = -9
removetime = -1
persistent = 0
ownpal = 1
supermovetime = 9999
pausemovetime = 9999

[State 14000, FadeIn]
type = modifyexplod
trigger1 = time < 30
trigger1 = numexplod(14007)
ID = 14007
trans = addalpha
alpha = ceil((time/30.0)*256),256-ceil((time/30.0)*256)

[State 14000, FadeIn]
type = modifyexplod
trigger1 = time < 30
trigger1 = numexplod(14008)
ID = 14008
trans = addalpha
alpha = ceil((time/30.0)*256),256-ceil((time/30.0)*256)

[State 14000, Sudden Stop]
type = changestate
trigger1 = parent, movetype = H
trigger2 = parent, ctrl = 1
trigger3 = numhelper(14000) = 2
value = 14001

[Statedef 14001]
type = A
movetype = I
physics = N
sprpriority = 0

[State 14001, Screenbound]
type = screenbound
trigger1 = 1
value = 0
movecamera = 0,0

[State 14001, Still Dark]
type = assertspecial
trigger1 = 1
flag = noFG
flag2 = invisible

[State 14001, Invincible]
type = nothitby
trigger1 = 1
value = ,AA,AT,AP

[State 14001, Unnoticed]
type = playerpush
trigger1 = 1
value = 0

[State 14001, FadeOut]
type = modifyexplod
trigger1 = time < 30
trigger1 = numexplod(14007)
ID = 14007
trans = addalpha
alpha = 256-ceil((time/30.0)*256),ceil((time/30.0)*256)

[State 14001, FadeOut]
type = modifyexplod
trigger1 = time < 30
trigger1 = numexplod(14008)
ID = 14008
trans = addalpha
alpha = 256-ceil((time/30.0)*256),ceil((time/30.0)*256)

[State 14001, Die]
type = removeexplod
trigger1 = time = 30
ID = 14007

[State 14001, Die]
type = removeexplod
trigger1 = time = 30
ID = 14008

[State 14001, Die]
type = destroyself
trigger1 = time = 30


;Super finish sparks
[Statedef 13000]
type = A
movetype = I
physics = N
sprpriority = -3

[State 13000, Pretty Sounds!]
type = playsnd
trigger1 = time = 20
value = 3100,3

[State 13000, It's a line Luigi]
type = null
trigger1 = var(13) := (Random%320)-240

[State 13000, Assert]
type = Assertspecial
trigger1 = 1
flag = noBG
flag2 = noFG
flag3 = timerfreeze

[State 13000, Pause]
type = Pause
trigger1 = time = 0
time = 150
movetime = 150
pausebg = 1

[State 13000, Maek sum hueg explods]
type = explod
trigger1 = time = 0
anim = 14003
ID = 14000
postype = back
pos = -71,-92+240
random = 20,20
vel = 4,-4
bindtime = 1
removetime = 300
sprpriority = -3
scale = const(size.xscale),const(size.yscale)
pausemovetime = 999

[State 13000, Maek sum hueg explods]
type = explod
trigger1 = time = 5
anim = 14003
ID = 14000
postype = back
pos = -122,-100+240
random = 20,20
vel = 4,-4
bindtime = 1
removetime = 300
sprpriority = -3
scale = const(size.xscale),const(size.yscale)
pausemovetime = 999

[State 13000, Maek sum hueg explods]
type = explod
trigger1 = time = 3
anim = 14003
ID = 13002
postype = back
pos = 49,131+240
random = 20,20
vel = 4,-4
bindtime = 1
removetime = 300
sprpriority = -3
scale = const(size.xscale),const(size.yscale)
pausemovetime = 999

[State 13000, Maek sum less hueg explods]
type = explod
trigger1 = time = [0,75]
trigger1 = time % 3 = 0
anim = 14003
ID = 14001
postype = back
pos = var(13),var(13)+240
random = 60,60
vel = 4.3-1+(random%2),-4.3-1+(random%2)
bindtime = 1
removetime = 300
sprpriority = -3
scale = const(size.xscale)*.5,const(size.yscale)*.5
pausemovetime = 999

[State 13000, Maek sum tiny ass explods]
type = explod
trigger1 = time = [0,120]
trigger1 = time % 2 = 0
anim = 14003
ID = 14002
postype = back
pos = var(13),var(13)+240
random = 60,60
vel = 4.8-1+(random%2),-4.8-1+(random%2)
bindtime = 1
removetime = 300
sprpriority = -3
scale = const(size.xscale)*.125,const(size.yscale)*.125
pausemovetime = 999

[State 13000, End]
type = destroyself
trigger1 = time = 150

[Statedef 5151]
type = A
movetype = I
physics = N
sprpriority = -1
anim = 5152

[State 5151, turn]
type = turn
trigger1 = pos X > 160
persistent = 0

[State 5151, velset]
type = velset
trigger1 = !time
x = -4
y = -5

[State 5151, Pop]
type = playsnd
trigger1 = !time
value = 170,3

[State 5151, Gravity]
type = veladd
trigger1 = 1
y = .4

[State 5151, Destroyself]
type = destroyself
trigger1 = time = 150

;---------------------------------------------------------------------------
; Override common states (use same number to override) :
;---------------------------------------------------------------------------

;---------------------------------------------------------------------------
; Initialize (at the start of the round)
[Statedef 5900]
type = S

[State 5900, 1] ;Clear all int variables
type = VarRangeSet
trigger1 = roundsexisted = 0
value = 0

[State 5900, 2] ;Clear all float variables
type = VarRangeSet
trigger1 = roundsexisted = 0
fvalue = 0
persistent = 0

[State 5900, Burst]
type = varset
trigger1 = time = 0
v = 4
value = 2

[State 5900, 3] ;Intro for round 1
type = ChangeState
trigger1 = roundno = 1
value = 190

;---------------------------------------------------------------------------
; States that are always executed (use statedef -2)
;---------------------------------------------------------------------------

[Statedef -2]

[State -2, Combo Dampener]
type = AttackmulSet
trigger1 = 1
value = (1.5 - log(10,(enemy, GetHitVar(hitcount))+1))/1.5

[State -2, Count Jumps]
type = null
triggerall = time = 1
trigger1 = prevstateno = 40 || prevstateno = 45 || prevstateno = 65
trigger1 = var(6):=(var(6)+1)

[State -2, Reset Jumps]
type = null
trigger1 = statetype != A
trigger1 = var(6):=0

[State -2, ForGreatJustice]
type = Helper
trigger1 = numhelper(201) = 0
ID = 201
stateno = 201
pos = 99999,99999
supermovetime = 9999
pausemovetime = 9999


[State -2, Blob]
type = Explod
triggerall = numExplod(0) = 0
trigger1 = anim = 3008
trigger2 = anim = 180
anim = 1
ID = 0
pos = 0,0
postype = p1
facing = 1
bindtime = -1
removetime = -1
scale = .5,.5
sprpriority = -1
removeongethit = 1
shadow = 150, 70, 0
pausemovetime = 65535

[State -2, Blob]
type = removeExplod
triggerall = numExplod(0) > 0
trigger1 = anim != 3008
trigger1 = anim != 180
ID = 0

[State -2, Airdash Counter]
type = varset
trigger1 = statetype = S
trigger2 = movetype = H
v = 15
value = 0

[State -2, HitType]
type = varSet
triggerall = p2movetype = A
trigger1 = !(enemy, movecontact)
trigger1 = enemy, hitdefattr = SCA, NA, NP, NT, SA, SP, ST
v = 12
value = 1
ignorehitpause = 1

[State -2, HitType]
type = varSet
triggerall = p2movetype = A
trigger1 = !(enemy, movecontact)
trigger1 = enemy, hitdefattr = SCA, HA, HT, HP
v = 12
value = 2
ignorehitpause = 1

[State -2, HitType]
type = varSet
triggerall = alive
trigger1 = var(12) != 0
trigger1 = movetype = H
v = 13
value = var(12)
ignorehitpause = 1

[State -2, Null]
type = null
triggerall = alive
trigger1 = movetype = H
trigger1 = var(12):=0
ignorehitpause = 1

[State -2, Reset Ekoda Shiki Counter]
type = varset
trigger1 = enemy, movetype != H
v = 14
value = 0

[State -2, Dying Wail]
type = PlaySnd
triggerall = !alive
trigger1 = loseko
trigger1 = var(13) = 2
trigger1 = HitShakeOver
trigger1 = 1||(var(13):=3)
value = 170,2
persistent = 0

[State -2, Dying Wail]
type = PlaySnd
triggerall = !alive
trigger1 = loseko
trigger1 = roundsexisted = 0
trigger1 = var(13) = 1
trigger1 = HitShakeOver
trigger1 = 1||(var(13):=0)
value = 170,0
persistent = 0

[State -2, Dying Wail]
type = PlaySnd
triggerall = !alive
trigger1 = loseko
trigger1 = roundsexisted > 0
trigger1 = var(13) = 1
trigger1 = HitShakeOver
trigger1 = 1||(var(13):=0)
value = 170,1
persistent = 0

[State -2, Burst Drain]
type = poweradd
value = -6
trigger1 = var(4) = 1

[State -2, Burst Over]
type = varset
trigger1 = power <= 0
trigger1 = var(4) = 1
trigger1 = var(3):=0
v = 4
value = 0

[State -2, Burst Counter]
type = varset
trigger1 = roundstate != 2
v = 4
value = 2

;================================================================================
; ------- NotHitBy fix by Caddie --------
;===============================================================================
[State -2, hitby]
type = hitby
trigger1 = life > 0
trigger1 = stateno = 5100 || stateno = 5110 || stateno = 5120
value = SCA, NA, SA, HA, NP, SP, HP, NT, ST, HT
time = 1

;---------------------------------------------------------------------------
; States that are executed when in self's state file (use statedef -3)
;---------------------------------------------------------------------------

[Statedef -3]

;I cannot remember if Davidgee made this code, or if it was The Necromancer.
[State -3, Niptra Blaze]
type = Pause
trigger1 = var(3)
trigger1 = (gametime%3)=0
trigger1 = roundstate = 2
trigger1 = movetype != H
time = 2
movetime = 2
ignorehitpause = 1

;This controller plays a sound everytime KFM lands from a jump, or
;from his back-dash.
[State -3, Landing Sound]
type = PlaySnd
triggerall = Time = 1
trigger1 = stateno = 52 ;Jump land
value = 900, 3

[State -3, Jumping Sound]
type = PlaySnd
triggerall = Time = 1
trigger1 = stateno = 40 || stateno = 65 ;Jump
value = 900, 2

[State -3, Not Giving Up]
type = PlaySnd
triggerall = loseKO
trigger1 = Matchover = 0
trigger1 = anim = 5140 ;Liedead (First Rounds)
trigger1 = animelemtime(2) = 0
value = 180,3

[State -3, Popping Sound]
type = PlaySnd
triggerall = Time = 4
trigger1 = anim = 5120
value = 900, 7

[State -3, HyperDeath Helper]
type = Helper
persistent = 0
triggerall = numhelper(5151) = 0
trigger1 = anim = 5150
trigger1 = var(13) = 3
ID = 5151
stateno = 5151
facing = enemy,facing
postype = p1
pos = 0,0
supermovetime = 9999
pausemovetime = 9999
shadow = -1

[State -3, HyperDeath] ;Death by Hyper Move
type = ChangeAnim
persistent = 0
trigger1 = anim = 5150
trigger1 = var(13) = 3
value = 5151

[State -3, HyperDeath Explod]
type = Explod
triggerall = numexplod(5153) = 0
trigger1 = anim = 5151
trigger1 = var(13) = 3
anim = 5153
ID = 5153
pos = 0,0
postype = p1
facing = 1
bindtime = -1
removetime = -1
scale = .5,.5
sprpriority = -2
shadow = 150, 70, 0
pausemovetime = 65535

;[State -3, Pain]
;type = playsnd
;triggerall = time = 0
;trigger1 = anim = [5000,5003]
;trigger2 = anim = [5010,5013]
;trigger3 = anim = [5020,5022]
;trigger4 = anim = 5008
;value = ifelse(gethitvar(animtype)<3,5000 + 10*gethitvar(animtype),5020), random%3
;channel = 1
;ignorehitpause = 1